<!DOCTYPE html>
<html lang="en">
    <head>
        <!--{% load static %}-->
        <meta charset="UTF-8">
        <title>SiSC Contacts</title>
        <link rel="icon" href="../static/images/sisc.png">

        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <!-- Responsiveness -->
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <!-- Dependencies -->
        <!--<link rel="stylesheet prefetch" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/0.100.2/css/materialize.min.css">-->
        <link rel="stylesheet" type="text/css" href="//fonts.googleapis.com/css?family=Roboto:400" />


        <link rel="stylesheet" href="../static/css/normalize.css">
        <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.5.0/css/all.css" integrity="sha384-B4dIYHKNBt8Bc12p+WXckhzcICo0wtJAoU8YZTY5qE0Id1GSseTk6S+L3BlXeVIU" crossorigin="anonymous">

        <link rel="stylesheet" href="../static/css/navbar.css">
        <link rel="stylesheet" href="../static/css/design.css">
        <script src="../static/js/snap.svg-min.js"></script>
        <link rel="manifest" href="../static/js/manifest.json">
    </head>
    <body >
    <!-- Navbar Starts -->
    <div class="container">
        <div class="menu-wrap">
            <nav class="menu">
                <div class="icon-list">
                    <a class="active"  href="{% url 'api:main' %}"><i class="fas fa-archway  "></i><span>Departments</span></a>
                    <a href="{% url 'api:search' %}"><i class="fa fa-fw fa-search"></i><span>Search</span></a>
                    {% if contact.pk %}
                    <a href="{% url 'api:contact' contact.pk %}"><i class="fa fa-fw fa-user"></i><span>Profile</span></a>
                    {% endif %}
                    {% if request.user.is_staff %}
                    <a href="{% url 'api:list' %}"><i class="fa fa-fw fa-chart-bar "></i><span>Management</span></a>
                    <a target="_blank" href="{% url 'admin:index' %}"><i class="fa fa-fw fa-certificate   "></i><span>Admin</span></a>
                    {% endif %}
                    <a href="{% url 'api:logout' %}"><i class="fa fa-fw fa-sign-out-alt "></i><span>Log out</span></a>

                </div>
            </nav>
            <button class="close-button" id="close-button">Close Menu</button>
            <div class="morph-shape" id="morph-shape" data-morph-open="M-1,0h101c0,0,0-1,0,395c0,404,0,405,0,405H-1V0z">
                <svg xmlns="http://www.w3.org/2000/svg" width="100%" height="100%" viewBox="0 0 100 800" preserveAspectRatio="none">
                    <path d="M-1,0h101c0,0-97.833,153.603-97.833,396.167C2.167,627.579,100,800,100,800H-1V0z"/>
                </svg>
            </div>
        </div>
        <button class="menu-button" id="open-button">Open Menu</button>

    <div class="content-wrap">
        <div class="content">

            <header class="codrops-header">
                <h1>Departments </h1>


            </header>
            <div class="card-deck card-deck--half-and-half">


                <div class="card">
                    <div class="card__image">

                        <i class="icon fas  fa-lightbulb"></i>
                    </div>
                    <div class="card__content">
                        <h3>IT</h3>
                        <button class="bubbly-button">Members</button>
                    </div>
                </div>
                <div class="card">
                    <div class="card__image">
                        <svg class="icon"><use xlink:href="#delete"></use></svg>
                    </div>
                    <div class="card__content">
                        <h3>IT</h3>
                        <button class="bubbly-button">Members</button>
                    </div>
                </div>
                <div class="card">
                    <div class="card__image">
                        <svg class="icon"><use xlink:href="#delete"></use></svg>
                    </div>
                    <div class="card__content">
                        <h3>IT</h3>
                        <button class="bubbly-button">Members</button>
                    </div>
                </div>
                <div class="card">
                    <div class="card__image">
                        <svg class="icon"><use xlink:href="#delete"></use></svg>
                    </div>
                    <div class="card__content">
                        <h3>IT</h3>
                        <button class="bubbly-button">Members</button>
                    </div>
                </div>
                <div class="card">
                    <div class="card__image">
                        <svg class="icon"><use xlink:href="#delete"></use></svg>
                    </div>
                    <div class="card__content">
                        <h3>IT</h3>
                        <button class="bubbly-button">Members</button>
                    </div>
                </div> <div class="card">
                <div class="card__image">
                    <svg class="icon"><use xlink:href="#delete"></use></svg>
                </div>
                <div class="card__content">
                    <h3>IT</h3>
                    <button class="bubbly-button">Members</button>
                </div>
            </div>

            </div>
        </div>
    </div>
    </div>

        <div id="main">
            <div class="container-fluid">

                <div class="content row">
                    {% for department in departments %}
                       <div class="col-sm-12 col-md-6 col-lg-4 col-xl-4">
                           <div class="card" style="width: 18rem;">
                               <img class="card-img-top" src="../static/images/{{ department.pk }}.png" alt="Missing Image">
                               <div class="card-body">
                                   <h5 class="card-title">{{ department.short_name }}</h5>
                                   <p class="card-text"></p>
                                   <a class="btn btn-primary" href="{% url 'api:department' department.id %}">Membri</a>
                               </div>
                           </div>
                        </div>
                    {% endfor %}
                </div>
            </div>
        </div>
    <!--Navbar and it's moveable contents end -->
        <!--<script src="../static/js/jquery-3.3.1.min.js"></script>-->
        <!--<script src="../static/js/navbar.js"></script>-->
        <!--<script src="../static/js/main.js"></script>-->
        <!--<script src="../static/js/sw.js"></script>-->

    <script src="../static/js/classie.js"></script>
    <script src="../static/js/main3.js"></script>

    </body>
</html>